上传备货单装箱信息
POST
/erp/sc/routing/owms/inbound/packing创建“待发货/待收货/已完成”状态备货单时,支持上传备货单装箱信息。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/owms/inbound/packing | HTTPS | POST | 1 |
请求参数
overseas_order_nostring必填packaging_typeinteger必填box_countinteger必填box_listarray<object>必填隐藏子属性
box_nointeger必填box_countintegerbox_nosarray<any>heightnumber必填lengthnumber必填widthnumber必填weightnumber必填itemsarray<object>必填隐藏子属性
product_idinteger必填twp_idintegerquantity_shippedinteger必填oversea_product_codeintegermatch_numinteger必填fnskustringbarcodestringis_a_plusintegersidinteger必填请求示例
{
"overseas_order_no": "FBA123456789",
"packaging_type": 1,
"box_count": 2,
"box_list": [
{
"box_no": 1,
"height": 30.5,
"length": 40.0,
"width": 35.2,
"weight": 12.8,
"items": [
{
"product_id": 1001,
"twp_id": 2001,
"quantity_shipped": 10,
"match_num": 1,
"fnsku": "X000001ABC",
"sid": 3001
},
{
"product_id": 1002,
"quantity_shipped": 5,
"match_num": 2,
"sid": 3002
}
]
},
{
"box_no": 2,
"height": 25.0,
"length": 35.0,
"width": 30.0,
"weight": 8.5,
"items": [
{
"product_id": 1003,
"quantity_shipped": 8,
"match_num": 1,
"fnsku": "X000002DEF",
"sid": 3001
}
]
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "C70FD2A7-4E7D-6B32-7D72-FC42587CE97E",
"response_time": "2022-07-29 14:33:42",
"data": [],
"total": 0
}